Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008394TestLinkTest Specificationpublic2018-10-03 10:012018-10-06 12:17
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008394: Generate Test Case Name, using some sort of place holder, getting value from test case PRECONDITIONS
DescriptionI've face following situation

I've several test case that have the same string in name:

TC1 - Webservice Create User - Failure - Blank Name
TC2- Webservice Create User - Failure - Duplicate Name
TC3 - Webservice Create User - Failure - Blank email

using TC1 as example , I find myself writting on TC1 summary something like

this blabla consider what happens when Blank Name is used.

Then idea is mark a piece of summary to be added on Test Case name.

Then

Test Case name:
Webservice Create User - Failure - [[01]]

Test Case PRECONDITIONS
this blabla consider what happens when [[Blank Name]] is used.

when saving test case name will become
Webservice Create User - Failure - [[01::Blank Name]]




TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0008281closedfman Generate Test Case Name, using some sort of place holder, getting value from test case summary 
child of 0008241closedfman Availables hot-fixes for 1.9.17 & How To get full fixed package from GitHub 

-  Notes
(0027921)
fman (administrator)
2018-10-04 18:42

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/1476cb7e1973db8df053e28b15969f8a0abf622a [^]
(0027923)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-10-03 10:01 fman New Issue
2018-10-03 10:01 fman Status new => assigned
2018-10-03 10:01 fman Assigned To => fman
2018-10-03 10:01 fman Issue generated from: 0008281
2018-10-03 10:01 fman Relationship added related to 0008281
2018-10-04 18:42 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2018-10-04 18:42 fman Note Added: 0027921
2018-10-04 18:42 fman Status assigned => resolved
2018-10-04 18:42 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-10-04 18:42 fman Resolution open => fixed
2018-10-04 18:42 fman Relationship added child of 0008241
2018-10-06 12:17 fman Note Added: 0027923
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker